Loading...
Searching...
No Matches
voms Struct Reference

`#include <voms_api.h>`

## Public Member Functions

| voms (const voms &)
| voms ()
voms & | operator= (const voms &)
| ~voms ()
AC * | GetAC ()
std::vector< attributelist > & | GetAttributes ()
std::vector< std::string > | GetTargets ()

## Data Fields

int | version
int | siglen
std::string | signature
std::string | user
std::string | userca
std::string | server
std::string | serverca
std::string | voname
std::string | uri
std::string | date1
std::string | date2
data_type | type
std::vector< data > | std
std::string | custom
std::vector< std::string > | fqan
std::string | serial

## Friends

class | vomsdata
int | TranslateVOMS (struct vomsdatar *vd, std::vector< voms > &v, int *error)

## Detailed Description

Definition at line 101 of file voms_api.h.

## Constructor & Destructor Documentation

## voms() [1/2]

voms::voms | ( | const voms & |  | ) |

## voms() [2/2]

voms::voms | ( |  | ) |

## ~voms()

voms::~voms | ( |  | ) |

## Member Function Documentation

## GetAC()

AC * voms::GetAC | ( |  | ) |

## GetAttributes()

std::vector< attributelist > & voms::GetAttributes | ( |  | ) |

Generic attributes

## GetTargets()

std::vector< std::string > voms::GetTargets | ( |  | ) |

## operator=()

voms & voms::operator= | ( | const voms & |  | ) |

## Friends And Related Symbol Documentation

## TranslateVOMS

int TranslateVOMS | ( | struct vomsdatar * | vd,
|  | std::vector< voms > & | v,
|  | int * | error )

friend

## vomsdata

friend class vomsdata

friend

Definition at line 102 of file voms_api.h.

## Field Documentation

## custom

std::string voms::custom

The data returned by an S command

Definition at line 116 of file voms_api.h.

## date1

std::string voms::date1

Beginning of validity of the user info

Definition at line 112 of file voms_api.h.

## date2

std::string voms::date2

End of validity of the user info

Definition at line 113 of file voms_api.h.

## fqan

std::vector<std::string> voms::fqan

Keeps the data in the compact format

Definition at line 118 of file voms_api.h.

## serial

std::string voms::serial

Serial number. "0" if coming from non-ac

Definition at line 119 of file voms_api.h.

## server

std::string voms::server

The VOMS server DN, as from its certificate

Definition at line 108 of file voms_api.h.

## serverca

std::string voms::serverca

The CA which signed the VOMS certificate

Definition at line 109 of file voms_api.h.

## siglen

int voms::siglen

The length of the VOMS server signature

Definition at line 104 of file voms_api.h.

## signature

std::string voms::signature

The VOMS server signature

Definition at line 105 of file voms_api.h.

## std

std::vector<data> voms::std

User's characteristics

Definition at line 115 of file voms_api.h.

## type

data_type voms::type

The type of data returned

Definition at line 114 of file voms_api.h.

## uri

std::string voms::uri

The URI of the VOMS server

Definition at line 111 of file voms_api.h.

## user

std::string voms::user

The user's DN, as from his certificate

Definition at line 106 of file voms_api.h.

## userca

std::string voms::userca

The CA which signed the user's certificate

Definition at line 107 of file voms_api.h.

## version

int voms::version

0 means data didn't originate from an AC

Definition at line 103 of file voms_api.h.

## voname

std::string voms::voname

The name of the VO to which the VOMS belongs

Definition at line 110 of file voms_api.h.

The documentation for this struct was generated from the following file:

- voms_api.h